---
title: "Fulfillment API"
url: "https://api-docs.centraldispatch.com/apis/fulfillment-api-1-0-0/versions/ed4f06d9-fab0-4a1d-a6a8-ce631f6542d0"
---

# Fulfillment API

OpenAPI specification document.

```json
{"openapi":"3.0.1","info":{"title":"Fulfillment API","description":"Central Dispatch's Fulfillment API allows customers to manage dispatch operations and retrieve essential dispatch information, including carrier subscribers, dispatch details (pick-up and delivery locations), vehicle specifications, and relevant dates for dispatch pick-up and delivery.","contact":{"email":"datasyndicationsupport@centraldispatch.com"},"version":"1.0.0"},"servers":[{"url":"https://fulfillment-api.centraldispatch.com","description":"Production server"}],"paths":{"/api/fulfillments/create":{"post":{"tags":["Dispatch"],"summary":"Create Dispatch","description":"\nCreate a dispatch.\n\n#### 👥 Customer Type\n- Shipper\n\n#### 📝 Important Notes\n- The listing must have at least 2 stops (pickup and delivery).\n- At least one vehicle must be specified.\n- The response will contain a `Location` header that contains the fully qualified URL of the newly created resource. The final segment of the URL will be the ID of the resource.\n- The response will include an `ETag` header, which should be used for the `If-Match` header in subsequent updates.","operationId":"postCreateDispatch","parameters":[{"name":"Content-Type","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Content-Type header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"requestBody":{"description":"`CreateDispatchRequest`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateDispatchRequest"},"examples":{"ex.":{"value":{"marketplaceId":10000,"externalOrderId":"ORD-2023-0001","externalId":"RND10 CHEV","price":{"totalPrice":500,"priceUnits":"USD"},"carrier":{"carrierId":"0ca91a43-fbee-4c05-9a6c-aa5c63888f5c"},"stops":[{"stopNumber":1,"stopType":"DEALER","name":"ABC Cars lot","address":{"address1":"345 W Elm St.","address2":"2nd Floor","city":"Anaheim","state":"CA","zipCode":"92802","countryCode":"US"},"contact":{"name":"Mickey Smith","phone":"949-555-0101","phone1":"949-555-1323","phone2":"949-555-2434","phone3":"949-555-3545","cellPhone":"949-555-1212","email":"mickey@snoogle.com"},"externalLocationId":"Loc123","isTWIC":true,"siteId":"ABC","latitude":"33.81228788622535","longitude":"-117.91836265987132","buyerNumber":"12345"},{"stopNumber":2,"stopType":"COMMERCIAL_BUSINESS","name":"XYZ Inc.","address":{"address1":"255 Sands Ave.","city":"Las Vegas","state":"NV","zipCode":"89169","countryCode":"US"},"contact":{"name":"Dean Vega","phone":"702-555-0101","phone2":"702-555-0101","cellPhone":"702-555-1212","email":"dvega@doogle.com"},"externalLocationId":"Loc777","isTWIC":true,"siteId":"Spere","latitude":"36.121343020081525","longitude":"-115.16195281104913","buyerNumber":"9876"}],"vehicles":[{"vehicleAttributes":[{"type":"damage","name":"hasKeys","value":false}],"externalVehicleId":"EXT123456","vin":"KL8CH6SA6NC001234","distance":267,"distanceUnits":"MILES","pickUpLocationId":1,"dropOffLocationId":2,"carrierPrice":500,"carrierPriceUnits":"USD","type":"CAR","size":"MEDIUM","shipperRequestedPickupDate":"2025-09-30T00:00:00.000Z","shipperRequestedDropOffDate":"2025-10-15T00:00:00.000Z","color":"Red","isInOperable":false,"isEnclosed":true,"year":2022,"make":"Chevrolet","model":"Spark","subModel":"ACTIV","weight":2246,"weightUnits":"lbs","inspectionType":"ART","isDriveAway":false,"licensePlate":"B314PIE","licensePlateState":"CA","lotNumber":"LOT789","additionalInformation":"The vehicle is in the back of the lot behind the big tree.","pickUpDateType":"NO_EARLIER_THAN","dropOffDateType":"ESTIMATED"}],"additionalInformation":[{"name":"1d1d1d1d-e89b-12d3-a456-426614174000","value":"The number one"}],"balanceAmount":300,"balanceAmountCurrency":"USD","balancePaymentMethod":"CASH","balancePaymentTermsBeginOn":"PICKUP","balancePaymentTime":"IMMEDIATELY","codAmount":200,"codAmountCurrency":"USD","codPaymentLocation":"PICKUP","codPaymentMethod":"CASH_CERTIFIED_FUNDS","preDispatchNotes":"In order to pick up the keys you will have to walk through a lot with a big dog that protects it, he's chained but will bark at you.","transportationReleaseNotes":"You will need special clearance to get in the lot. Call Jean at 303-999-1212."}}}}}},"responses":{"201":{"description":"Created. Successful request.","headers":{"Etag":{"description":"Contains the current version of the resource and should be used for the `If-Match` header on updates.","schema":{"type":"string"},"example":"8675300"},"Location":{"description":"Contains the fully qualified URL of the newly created or updated resource. The final segment of the URL will equal the ID of the resource.","schema":{"type":"string"},"example":"8675309"},"Last-Modified":{"description":"Last-Modified","schema":{"type":"string"},"example":"2024-10-15T00:00:00Z"}}},"400":{"description":"Bad Request. Check the request payload.\n\n**Scenarios:**\n\n - Request body is invalid JSON format.\n - Missing required headers.\n - Invalid email addresses in request.\n - Invalid number formats.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"402":{"description":"Payment Required\n\n**Scenarios:**\n\n - Vehicle quota limit has been reached.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"403":{"description":"Forbidden. The attempted action is not permitted.\n\n**Scenarios:**\n\n - Tier group not supported."},"409":{"description":"Conflict. Update not allowed based on the current resource state.\n\n**Scenarios:**\n\n - Invalid value(s).\n - Dispatch with the same load ID already exists (duplicate external ID).\n - Business rule violations.\n - Chain of custody disabled but driver verification requested.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"422":{"description":"Unprocessable Entity. Errors found in the request.\n\n**Scenarios:**\n\n - Missing required parameters.\n - Numbers out of range.\n - Malformed email addresses.\n - Caller does not have access to the requested Marketplace.\n - One or more drivers does not belong to provided carrier.\n - Missing required fields (Vehicles, Stops, Price, Carrier, MarketplaceId).\n - Duplicate vehicle IDs in request.\n - Invalid phone number or state abbreviation format.\n - CarrierEstimatedPickupDate/DeliveryDate in the past.\n - Invalid Guids or empty Guids where not allowed.\n - Invalid marketplace ID for customer.\n - CallerId doesn't match DispatchShipperId/ListingShipperId.\n - Invalid carrier ID (inactive or blocked carrier).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/api/fulfillments/dispatches/ref/dispatches/id/{dispatchId}":{"post":{"tags":["Dispatch"],"summary":"Create Dispatch from Canceled Dispatch","description":"\nCreate a new dispatch by copying information from a canceled dispatch.\n\n#### 👥 Customer Type\n- Shipper\n\n#### 📝 Important Notes\n- All information from the canceled dispatch will be copied to the new dispatch.\n- A new dispatch ID will be generated automatically.\n- The response will contain a `Location` header that contains the fully qualified URL of the newly created resource. The final segment of the URL will be the ID of the resource.\n- The response will include an `ETag` header, which should be used for the `If-Match` header in subsequent updates.","operationId":"postDispatchFromCanceled","parameters":[{"name":"dispatchId","in":"path","description":"The ID of the canceled dispatch to be copied from.","required":true,"schema":{"type":"string","format":"uuid"},"example":"d159acc0-e89b-12d3-a456-426614174000"},{"name":"Content-Type","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Content-Type header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"requestBody":{"description":"`CreateDispatchFromCanceledDispatchRequest`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateDispatchFromCanceledDispatchRequest"},"examples":{"ex.":{"value":{"marketplaceId":10000,"externalId":"RND10 CHEV","externalOrderId":"ORD-2023-0001","carrierId":"0ca91a43-fbee-4c05-9a6c-aa5c63888f5c","shipperRequestedPickUpDate":"2025-11-05T00:00:00.000Z","shipperRequestedDropOffDate":"2025-07-15T00:00:00.000Z","price":{"total":500,"currency":"USD","cod":{"amount":200,"paymentMethod":"CASH_CERTIFIED_FUNDS","paymentLocation":"PICKUP"},"balance":{"amount":300,"paymentTime":"IMMEDIATELY","balancePaymentTermsBeginOn":"PICKUP","balancePaymentMethod":"CASH"}},"additionalInformation":[{"name":"1d1d1d1d-e89b-12d3-a456-426614174000","value":"The number one"}]}}}}}},"responses":{"201":{"description":"Created. Successful request.","headers":{"Etag":{"description":"Contains the current version of the resource and should be used for the `If-Match` header on updates.","schema":{"type":"string"},"example":"8675300"},"Location":{"description":"Contains the fully qualified URL of the newly created or updated resource. The final segment of the URL will equal the ID of the resource.","schema":{"type":"string"},"example":"8675309"}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden. The attempted action is not permitted."},"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"422":{"description":"Unprocessable Entity. Errors found in the request.\n\n**Scenarios:**\n\n - Missing required parameters.\n - Numbers out of range.\n - Caller does not have access to the requested Marketplace.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/api/fulfillments/id/{dispatchId}":{"get":{"tags":["Dispatch"],"summary":"Get Dispatch","description":"\nGet a dispatch by ID.\n\n#### 📝 Important Notes\n- The ID of the resource is returned in resource's create endpoint. The response will contain a `Location` header that contains the fully qualified URL of the newly created resource. The final segment of the URL will be the ID of the resource.\n- The response will include an `ETag` header, which should be used for the `If-Match` header in subsequent updates.","operationId":"getDispatchById","parameters":[{"name":"dispatchId","in":"path","description":"The ID of the dispatch.","required":true,"schema":{"type":"string","format":"uuid"},"example":"d159acc0-e89b-12d3-a456-426614174000"},{"name":"includeChanges","in":"query","description":"Indicates whether the response should include change records (dispatch status change and additional information records with the dispatch and dispatch vehicle status change and dispatch vehicle date change records with the dispatch vehicle).","schema":{"type":"boolean","default":false},"example":true},{"name":"includeNotes","in":"query","description":"Indicates whether the response should include internal load notes for the dispatch. Notes are scoped to the caller's customer ID and profile type.","schema":{"type":"boolean","default":false},"example":false},{"name":"Accept","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Accept header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"responses":{"200":{"description":"OK. Successful request.","headers":{"Etag":{"description":"Contains the current version of the resource and should be used for the `If-Match` header on updates.","schema":{"type":"string"},"example":"8675300"},"Last-Modified":{"description":"Last-Modified","schema":{"type":"string"},"example":"2024-10-15T00:00:00Z"},"X-CoxAuto-Media-Type":{"description":"Contains the major version and format information.","schema":{"type":"string"},"example":"coxauto.v1; format=json"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DispatchResponse"}}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden. The attempted action is not permitted."},"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/api/fulfillments/batch":{"post":{"tags":["Dispatch"],"summary":"Get Dispatches (Batch)","description":"Get a collection of dispatches for the provided dispatch IDs or URLs","operationId":"postGetDispatchBatch","parameters":[{"name":"includeChanges","in":"query","description":"Indicates whether the response should include change records (dispatch status change and additional information records with the dispatch and dispatch vehicle status change and dispatch vehicle date change records with the dispatch vehicle).","schema":{"type":"boolean","default":false},"example":true},{"name":"includeNotes","in":"query","description":"Indicates whether the response should include internal load notes for the dispatch. Notes are scoped to the caller's customer ID and profile type.","schema":{"type":"boolean","default":false},"example":false},{"name":"Content-Type","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Content-Type header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"requestBody":{"description":"An array of dispatch IDs and/or dispatch URLs.","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"},"nullable":true},"examples":{"ex. with IDs":{"value":["d159acc0-e89b-12d3-a456-426614174000","157a16f0-503d-4256-ba60-a4876e8eb9bb"]},"ex. with URLs":{"value":["https://fulfillment-api.centraldispatch.com/api/fulfillments/id/d159acc0-e89b-12d3-a456-426614174000","https://fulfillment-api.centraldispatch.com/api/fulfillments/id/2539f4b4-d3d6-45db-8df3-7ba768caba9b"]}}}},"required":true},"responses":{"200":{"description":"OK. Successful request.","headers":{"X-CoxAuto-Media-Type":{"description":"Contains the major version and format information.","schema":{"type":"string"},"example":"coxauto.v1; format=json"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DispatchCollection"}}}},"400":{"description":"Bad Request. Check the request payload.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden. The attempted action is not permitted."},"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/api/fulfillments/search":{"post":{"tags":["Dispatch"],"summary":"Search Dispatches","description":"\nGet a collection of dispatch IDs based on the specified search criteria.\n\n#### 📝 Important Notes\n- If calling as a broker the `X-Profile-Type` header must be included to distinguish between calling as a dealer or carrier.\n - Possible values: `carrier`, `dealer`.\n","operationId":"postSearchDispatches","parameters":[{"name":"X-Profile-Type","in":"header","description":"Required when calling as a broker, use to specify the caller's role. The value must be either `carrier` or `shipper`. Default is `shipper`","schema":{"type":"string"},"example":"carrier"},{"name":"Content-Type","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Content-Type header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"requestBody":{"description":"`DispatchSearchRequest`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DispatchSearchRequest"},"examples":{"ex.":{"value":{"searchFields":{"dispatchStatus":["PENDING_PICKUP","DELIVERED"],"dispatchDate":{"op":"RANGE","startDateTime":"2024-08-01T00:00:00Z","endDateTime":"2024-09-10T00:00:00Z"}},"sortFields":[{"name":"actualPickUpDateTime","direction":"ASCENDING"},{"name":"estimatedDropOffDateTime","direction":"ASCENDING"},{"name":"needAction","direction":"DESCENDING"}],"limit":10,"offset":0}}}}}},"responses":{"200":{"description":"OK. Successful request.","headers":{"X-CoxAuto-Media-Type":{"description":"Contains the major version and format information.","schema":{"type":"string"},"example":"coxauto.v1; format=json"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchDispatchResult"}}}},"400":{"description":"Bad Request. Check the request payload.\n\n**Scenarios:**\n\n - Request body is invalid JSON format.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden. The attempted action is not permitted."},"422":{"description":"Unprocessable Entity. Errors found in the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/api/fulfillments/update":{"post":{"tags":["Dispatch"],"summary":"Update Dispatch","description":"\nUpdate an existing dispatch. \n\n#### 📝 Important Notes\n- Every desired property must be sent, null properties will be deleted.\n- The `If-Match` header is required and its value can be found in the `ETag` response header of the resource's GET by ID endpoint.\n- The ID of the resource is returned in resource's create endpoint. The response will contain a `Location` header that contains the fully qualified URL of the newly created resource. The final segment of the URL will be the ID of the resource.","operationId":"postUpdateDispatch","parameters":[{"name":"If-Match","in":"header","description":"This is a required field to ensure the update is being completed on an item that has not changed since it was last read. The value of this field will be the value of the `ETag` header that was received on the preceding get call.","required":true,"schema":{"type":"integer"},"example":8675309},{"name":"Content-Type","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Content-Type header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"requestBody":{"description":"`UpdateDispatchRequest`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDispatchRequest"},"examples":{"ex.":{"value":{"dispatchId":"d159acc0-e89b-12d3-a456-426614174000","externalId":"RND10 CHEV","externalOrderId":"ORD-2023-0001","price":{"totalPrice":500,"priceUnits":"USD"},"codAmount":200,"codAmountCurrency":"USD","codPaymentMethod":"CASH_CERTIFIED_FUNDS","codPaymentLocation":"PICKUP","balanceAmount":300,"balanceAmountCurrency":"USD","balancePaymentTime":"IMMEDIATELY","balancePaymentTermsBeginOn":"PICKUP","balancePaymentMethod":"CASH","preDispatchNotes":"In order to pick up the keys you will have to walk through a lot with a big dog that protects it, he's chained but will bark at you.","transportationReleaseNotes":"You will need special clearance to get in the lot. Call Jean at 303-999-1212.","stops":[{"stopNumber":1,"stopType":"DEALER","name":"ABC Cars lot","address":{"address1":"345 W Elm St.","address2":"2nd Floor","city":"Anaheim","state":"CA","zipCode":"92802","countryCode":"US"},"contact":{"name":"Mickey Smith","phone":"949-555-0101","phone1":"949-555-1323","phone2":"949-555-2434","phone3":"949-555-3545","cellPhone":"949-555-1212","email":"mickey@snoogle.com"},"externalLocationId":"Loc123","isTWIC":true,"siteId":"ABC","latitude":"33.81228788622535","longitude":"-117.91836265987132","buyerNumber":"12345"},{"stopNumber":2,"stopType":"COMMERCIAL_BUSINESS","name":"XYZ Inc.","address":{"address1":"255 Sands Ave.","city":"Las Vegas","state":"NV","zipCode":"89169","countryCode":"US"},"contact":{"name":"Dean Vega","phone":"702-555-0101","phone2":"702-555-0101","cellPhone":"702-555-1212","email":"dvega@doogle.com"},"externalLocationId":"Loc777","isTWIC":true,"siteId":"Spere","latitude":"36.121343020081525","longitude":"-115.16195281104913","buyerNumber":"9876"}],"vehicles":[{"vehicleAttributes":[{"type":"damage","name":"hasKeys","value":false}],"vehicleId":"b331c130-e89b-12d3-a456-426614174000","externalVehicleId":"EXT123456","vin":"KL8CH6SA6NC001234","distance":267,"distanceUnits":"MILES","pickUpLocationId":1,"dropOffLocationId":2,"carrierPrice":500,"carrierPriceUnits":"USD","type":"CAR","size":"MEDIUM","shipperRequestedPickupDate":"2025-09-30T00:00:00.000Z","shipperRequestedDropOffDate":"2025-10-15T00:00:00.000Z","color":"Red","isInOperable":false,"isEnclosed":true,"year":2022,"make":"Chevrolet","model":"Spark","subModel":"ACTIV","weight":2246,"weightUnits":"lbs","inspectionType":"ART","isDriveAway":false,"licensePlate":"B314PIE","licensePlateState":"CA","lotNumber":"LOT789","additionalInformation":"The vehicle is in the back of the lot behind the big tree.","pickUpDateType":"NO_EARLIER_THAN","dropOffDateType":"ESTIMATED"}],"additionalInformation":[{"name":"1d1d1d1d-e89b-12d3-a456-426614174000","value":"The number one"}]}}}}}},"responses":{"204":{"description":"No Content. Successful request.","headers":{"Etag":{"description":"Contains the current version of the resource and should be used for the `If-Match` header on updates.","schema":{"type":"string"},"example":"8675300"},"Last-Modified":{"description":"Last-Modified","schema":{"type":"string"},"example":"2024-10-15T00:00:00Z"},"Location":{"description":"Contains the fully qualified URL of the newly created or updated resource. The final segment of the URL will equal the ID of the resource.","schema":{"type":"string"},"example":"8675309"}}},"400":{"description":"Bad Request. Check the request payload.\n\n**Scenarios:**\n\n - Request body is invalid JSON format.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden. The attempted action is not permitted."},"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"409":{"description":"Conflict. Update not allowed based on the current resource state.\n\n**Scenarios:**\n\n - Dispatch already completed or canceled\n - Assigned shipment doesn't contain all already picked-up/delivered vehicles.\n - Chain of custody disabled but driver verification at pickup requested.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"412":{"description":"Precondition Failed\n\n**Scenarios:**\n\n - RecordVersion (`If-Match` header) does not match\n - Missing `If-Match` header (ETag required for updates).\n - Dispatch modified since retrieval (stale version).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"422":{"description":"Unprocessable Entity. Errors found in the request.\n\n**Scenarios:**\n\n - Missing required parameters.\n - Numbers out of range.\n - Malformed email addresses.\n - `preDispatchNotes` or `instructions` do not match saved value.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/api/fulfillments/id/{dispatchId}/dates":{"put":{"tags":["Dispatch"],"summary":"Update Dispatch Dates","description":"Update the pick up and/or delivery dates of an existing dispatch.","operationId":"putDispatchDates","parameters":[{"name":"dispatchId","in":"path","description":"The ID of the dispatch.","required":true,"schema":{"type":"string","format":"uuid"},"example":"d159acc0-e89b-12d3-a456-426614174000"},{"name":"If-Match","in":"header","description":"This is a required field to ensure the update is being completed on an item that has not changed since it was last read. The value of this field will be the value of the `ETag` header that was received on the preceding get call.","required":true,"schema":{"type":"integer"},"example":8675309},{"name":"Content-Type","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Content-Type header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"requestBody":{"description":"`UpdateDispatchDatesRequest`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDispatchDatesRequest"},"examples":{"ex.":{"value":{"dispatchId":"d159acc0-e89b-12d3-a456-426614174000","etag":1234567,"dispatchVehicles":[{"dispatchVehicleId":"b331c130-e89b-12d3-a456-426614174000","dateChanges":[{"dateType":"ESTIMATED_PICKUP","dateValue":"2025-11-05T00:00:00.000Z","dateChangeReasonId":"da1e0000-e89b-12d3-a456-426614174000","notes":"Weather delay."}]}]}}}}}},"responses":{"202":{"description":"Accepted. Successful request."},"400":{"description":"Bad Request. Check the request payload.\n\n**Scenarios:**\n\n - Missing `If-Match` header","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden. The attempted action is not permitted."},"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"409":{"description":"Conflict. Update not allowed based on the current resource state.\n\n**Scenarios:**\n\n - Actual dates cannot be updated due to dispatch status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"412":{"description":"Precondition Failed\n\n**Scenarios:**\n\n - RecordVersion (`If-Match` header) does not match.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"422":{"description":"Unprocessable Entity. Errors found in the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/api/fulfillments/id/{dispatchId}/respond":{"post":{"tags":["Dispatch"],"summary":"Respond to Dispatch","description":"\nA carrier can accept or decline a load that has been assigned to them by the shipper.\n \n#### 👥 Customer Type\n- Carrier\n\n#### 📝 Important Notes\n- May only be used by the assigned carrier or a broker with the carrier profile that is assigned to.\n- Only dispatches with a status of `NOT_SIGNED` will be processed.","operationId":"postRespondDispatch","parameters":[{"name":"dispatchId","in":"path","description":"The ID of the dispatch to respond to.","required":true,"schema":{"type":"string","format":"uuid"},"example":"d159acc0-e89b-12d3-a456-426614174000"},{"name":"If-Match","in":"header","description":"This is a required field to ensure the update is being completed on an item that has not changed since it was last read. The value of this field will be the value of the `ETag` header that was received on the preceding get call.","required":true,"schema":{"type":"integer"},"example":8675309},{"name":"Content-Type","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Content-Type header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"requestBody":{"description":"`RespondToDispatchRequest`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RespondToDispatchRequest"},"examples":{"ex.":{"value":{"accept":true}}}}}},"responses":{"202":{"description":"Accepted. Successful request.","headers":{"Location":{"description":"Contains the fully qualified URL of the newly created or updated resource. The final segment of the URL will equal the ID of the resource.","schema":{"type":"string"},"example":"8675309"}}},"400":{"description":"Bad Request. Check the request payload.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden. The attempted action is not permitted."},"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"409":{"description":"Conflict. Update not allowed based on the current resource state.\n\n**Scenarios:**\n\n - Dispatch status is not `NOT_SIGNED`.\n - `requiresInspection` is true on the dispatch but `inspectionAcknowledged` is false in request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"412":{"description":"Precondition Failed\n\n**Scenarios:**\n\n - RecordVersion (`If-Match` header) does not match.\n - Dispatch status is not NOT_SIGNED (invalid state for operation).\n - Resource modified by another request (stale ETag).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"422":{"description":"Unprocessable Entity. Errors found in the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/api/fulfillments/id/{dispatchId}/drivers":{"patch":{"tags":["Dispatch"],"summary":"Assign Driver","description":"\nAssign a driver to a load or unassign a driver from the load.\n\n#### 👥 Customer Type\n- Carrier\n\n#### 📝 Important Notes\n- May only be used by the assigned carrier or a broker with the carrier profile that is assigned to.\n","operationId":"patchDrivers","parameters":[{"name":"dispatchId","in":"path","description":"The ID of the dispatch.","required":true,"schema":{"type":"string","format":"uuid"},"example":"d159acc0-e89b-12d3-a456-426614174000"},{"name":"If-Match","in":"header","description":"This is a required field to ensure the update is being completed on an item that has not changed since it was last read. The value of this field will be the value of the `ETag` header that was received on the preceding get call.","required":true,"schema":{"type":"integer"},"example":8675309},{"name":"Content-Type","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Content-Type header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"requestBody":{"description":"`AssignDriverRequest` collection","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AssignDriverRequest"},"nullable":true},"examples":{"ex.":{"value":[{"op":"ADD","path":"/drivers/drivers/-","values":[{"driverId":"3ca6e1c2-98fb-4b4e-bfd8-ffaec58fb347"}]}]}}}}},"responses":{"204":{"description":"No Content. Successful request."},"400":{"description":"Bad Request. Check the request payload.\n\n**Scenarios:**\n\n - Missing `If-Match` header","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden\n\n**Scenarios:**\n\n - Tier group not supported.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"409":{"description":"Conflict. Update not allowed based on the current resource state.\n\n**Scenarios:**\n\n - Dispatch has already been CANCELED/DELIVERED.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"412":{"description":"Precondition Failed\n\n**Scenarios:**\n\n - RecordVersion (`If-Match` header) does not match.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"422":{"description":"Unprocessable Entity. Errors found in the request.\n\n**Scenarios:**\n\n - The operation is duplicated in request body.\n - The driverId is not a uuid.\n - The same driverId is present in both remove and add operations.\n - The driverId value is empty or the driverId list is empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/api/fulfillments/cancel":{"post":{"tags":["Dispatch"],"summary":"Cancel Dispatch","description":"\nCancel a dispatch that has not been delivered.\n\n#### 📝 Important Notes\n- A dispatch with a status of `DELIVERED` cannot be canceled.\n- A dispatch with a status of `PENDING_DELIVERY` can be canceled if the `postPickupCancelOverride` value is true.\n","operationId":"postCancelDispatch","parameters":[{"name":"If-Match","in":"header","description":"This is a required field to ensure the update is being completed on an item that has not changed since it was last read. The value of this field will be the value of the `ETag` header that was received on the preceding get call.","required":true,"schema":{"type":"integer"},"example":8675309},{"name":"Content-Type","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Content-Type header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"requestBody":{"description":"`CancelDispatchRequest`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelDispatchRequest"},"examples":{"ex.":{"value":{"dispatchId":"d159acc0-e89b-12d3-a456-426614174000","notes":"Weather delay.","postPickupCancelOverride":true}}}}}},"responses":{"204":{"description":"No Content. Successful request."},"400":{"description":"Bad Request. Check the request payload.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden. The attempted action is not permitted."},"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"409":{"description":"Conflict. Update not allowed based on the current resource state.\n\n**Scenarios:**\n\n - Dispatch already picked-up.\n - Dispatch already delivered.\n - Dispatch in a state that cannot be canceled.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"412":{"description":"Precondition Failed\n\n**Scenarios:**\n\n - RecordVersion (`If-Match` header) does not match.\n - Resource modified by another request (stale ETag).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"422":{"description":"Unprocessable Entity. Errors found in the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/api/fulfillments/vehicle-locations/vehicleId/{vehicleId}/last-vehicle-location":{"get":{"tags":["Dispatch"],"summary":"Get Vehicle's Last Location by Vehicle ID","description":"\nGet the latitude/longitude position of the latest vehicle location by vehicle ID. \n\n#### 📝 Important Notes\n- Tracking data is only available if the vehicle was inspected and marked `PICKED_UP` using the Central Dispatch mobile application. \n- Location tracking must be enabled on the device used to perform the pick up inspection.\n- This location may be slightly shifted to protect the privacy of the carrier.\n","operationId":"getLastVehicleLocationByVehicleId","parameters":[{"name":"vehicleId","in":"path","description":"The ID of the vehicle.","required":true,"schema":{"type":"string","format":"uuid"},"example":"b331c130-e89b-12d3-a456-426614174000"},{"name":"Accept","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Accept header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"responses":{"200":{"description":"OK. Successful request.","headers":{"X-CoxAuto-Media-Type":{"description":"Contains the major version and format information.","schema":{"type":"string"},"example":"coxauto.v1; format=json"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VehicleLocationResponse"}}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden. The attempted action is not permitted."},"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/api/fulfillments/vehicle-locations/dispatchId/{dispatchId}/last-vehicle-location":{"get":{"tags":["Dispatch"],"summary":"Get Vehicle's Last Location by Dispatch ID","description":"\nGet the latitude/longitude position of the latest vehicle location by dispatch ID. \n\n#### 📝 Important Notes\n- Tracking data is only available if the vehicle was inspected and marked `PICKED_UP` using the Central Dispatch mobile application. \n- Location tracking must be enabled on the device used to perform the pick up inspection.\n- This location may be slightly shifted to protect the privacy of the carrier.\n","operationId":"getLastVehicleLocationByDispatchId","parameters":[{"name":"dispatchId","in":"path","description":"The ID of the dispatch.","required":true,"schema":{"type":"string","format":"uuid"},"example":"d159acc0-e89b-12d3-a456-426614174000"},{"name":"Accept","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Accept header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"responses":{"200":{"description":"OK. Successful request.","headers":{"X-CoxAuto-Media-Type":{"description":"Contains the major version and format information.","schema":{"type":"string"},"example":"coxauto.v1; format=json"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VehicleLocationResponse"}}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden. The attempted action is not permitted."},"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/api/fulfillments/id/{dispatchId}/update-payment-status":{"post":{"tags":["Dispatch"],"summary":"Update Dispatch Payment Status","description":"\nUpdate the payment status of a dispatch. \n\n#### 📝 Important Notes\n- The shipper and carrier each have their own separate payment status that is tracked independently.\n- Payment status can only be updated for dispatches in `PENDING_DELIVERY`, `DELIVERED`, `CANCELED`, or `ARCHIVED` status.\n- Requires `admin` or `owner` role permissions.\n","operationId":"postPaymentStatus","parameters":[{"name":"dispatchId","in":"path","description":"The ID of the dispatch.","required":true,"schema":{"type":"string","format":"uuid"},"example":"d159acc0-e89b-12d3-a456-426614174000"},{"name":"Content-Type","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Content-Type header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"requestBody":{"description":"`UpdatePaymentStatusRequest`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePaymentStatusRequest"},"examples":{"ex.":{"value":{"paymentStatus":"PARTIALLY_PAID"}}}}}},"responses":{"204":{"description":"No Content. Successful request."},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden. The attempted action is not permitted."},"409":{"description":"Conflict. Update not allowed based on the current resource state.\n\n**Scenarios:**\n\n - Dispatch is in a status that does not accept payment status updates.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"422":{"description":"Unprocessable Entity. Errors found in the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/api/fulfillments/datechangereasons":{"get":{"tags":["Dispatch"],"summary":"Get Date Change Reasons","description":"Get a reference list of supported date change reasons.","operationId":"getDateChangeReasons","parameters":[{"name":"Accept","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Accept header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"responses":{"200":{"description":"OK. Successful request.","headers":{"X-CoxAuto-Media-Type":{"description":"Contains the major version and format information.","schema":{"type":"string"},"example":"coxauto.v1; format=json"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DateChangeReasonCollection"}}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden. The attempted action is not permitted."},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/api/fulfillments/loadcancellationreasons":{"get":{"tags":["Dispatch"],"summary":"Get Cancellation Reasons","description":"Get a reference list of supported load cancellation reasons.","operationId":"getLoadCancellationReasons","parameters":[{"name":"marketplaceId","in":"query","description":"The Central Dispatch marketplace ID.","schema":{"type":"integer","format":"int32","nullable":true},"example":10000},{"name":"Accept","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Accept header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"responses":{"200":{"description":"OK. Successful request.","headers":{"X-CoxAuto-Media-Type":{"description":"Contains the major version and format information.","schema":{"type":"string"},"example":"coxauto.v1; format=json"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelReasonCollection"}}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden. The attempted action is not permitted."},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/api/fulfillments/notes":{"post":{"tags":["Dispatch"],"summary":"Create Dispatch Note","description":"Create an internal load note for the given dispatch.","operationId":"postDispatchNote","parameters":[{"name":"Content-Type","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Content-Type header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"requestBody":{"description":"`CreateNoteRequest`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateNoteRequest"},"examples":{"ex.":{"value":{"dispatchId":"d159acc0-e89b-12d3-a456-426614174000","message":"Carrier called - pickup rescheduled for tomorrow.","visibilityType":"INTERNAL"}}}}}},"responses":{"201":{"description":"Created. Successful request.","headers":{"Location":{"description":"Contains the fully qualified URL of the newly created or updated resource. The final segment of the URL will equal the ID of the resource.","schema":{"type":"string"},"example":"8675309"}}},"400":{"description":"Bad Request. Check the request payload.\n\n**Scenarios:**\n\n - Request body is invalid JSON format.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"409":{"description":"Conflict. Update not allowed based on the current resource state.\n\n**Scenarios:**\n\n - Dispatch is in archived status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"422":{"description":"Unprocessable Entity. Errors found in the request.\n\n**Scenarios:**\n\n - `message` is required.\n - `message` exceeds maximum length of 250 characters.\n - Invalid `visibilityType` value.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/api/fulfillments/id/{dispatchId}/notes":{"get":{"tags":["Dispatch"],"summary":"Get Dispatch Notes","description":"Get the most recent notes for the given dispatch, ordered by creation date descending. Returns up to 500 notes scoped to the caller's customer ID and profile type.","operationId":"getDispatchNotes","parameters":[{"name":"dispatchId","in":"path","description":"The ID of the dispatch.","required":true,"schema":{"type":"string","format":"uuid"},"example":"d159acc0-e89b-12d3-a456-426614174000"},{"name":"Accept","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Accept header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"responses":{"200":{"description":"OK. Successful request.","headers":{"X-CoxAuto-Media-Type":{"description":"Contains the major version and format information.","schema":{"type":"string"},"example":"coxauto.v1; format=json"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NoteCollection"}}}},"400":{"description":"Bad Request. Check the request payload.\n\n**Scenarios:**\n\n - Invalid or missing dispatch ID.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"409":{"description":"Conflict. Update not allowed based on the current resource state.\n\n**Scenarios:**\n\n - Dispatch is in archived status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorsAlt"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}}},"components":{"schemas":{"AdditionalInformationRequest":{"type":"object","properties":{"name":{"type":"string","description":"The name of the additional information.","example":"contractedCarrier"},"value":{"type":"string","description":"The value of the additional information.","example":"true"}},"description":"Details of additional information."},"AdditionalInformationResponse":{"type":"object","properties":{"attributeName":{"type":"string","description":"Additional information (name, value pairs).","nullable":true,"example":"contractedCarrier"},"value":{"type":"string","description":"The name of the additional information.","nullable":true,"example":"true"}},"description":"Details of additional information."},"AddressRequest":{"type":"object","properties":{"address1":{"type":"string","description":"The street address.","example":"345 W Elm St."},"address2":{"type":"string","description":"Additional street address line.","nullable":true,"example":"2nd Floor"},"city":{"type":"string","description":"The city.","example":"Anaheim"},"state":{"type":"string","description":"The state.","example":"CA"},"zipCode":{"type":"string","description":"The ZIP code. Must be a valid United States ZIP code or Canadian postal code.","example":"92802"},"countryCode":{"type":"string","description":"The country code. US or CA.","default":"US","nullable":true,"example":"US"}},"description":"Details of an address."},"AssignDriverRequest":{"type":"object","properties":{"op":{"type":"string","description":"The operation to be performed. Values: `ADD`, `REMOVE`.","example":"ADD"},"path":{"type":"string","description":"The path to the property to be modified.","example":"/drivers/drivers/-"},"values":{"type":"array","items":{"$ref":"#/components/schemas/DriverPatchRequest"},"description":"The driver ID values to be applied in the patch operation."}},"description":"Details of driver patch operation."},"BalanceRequest":{"type":"object","properties":{"amount":{"minimum":0.01,"type":"number","description":"The balance amount that will be due after the COD/COP payment is applied.","format":"double","example":300},"paymentTime":{"enum":["IMMEDIATELY","TWO_BUSINESS_DAYS_QUICK_PAY","FIVE_BUSINESS_DAYS","TEN_BUSINESS_DAYS","FIFTEEN_BUSINESS_DAYS","THIRTY_BUSINESS_DAYS"],"type":"string","description":"The time frame when the balance payment is due. Required if `amount` is greater than 0. This list is not exhaustive and additional values may be added at any time.","nullable":true},"balancePaymentTermsBeginOn":{"enum":["PICKUP","DELIVERY","RECEIVING_SIGNED_BOL"],"type":"string","description":"The terms for beginning balance payment. Required if `amount` is greater than 0. This list is not exhaustive and additional values may be added at any time.","nullable":true,"example":"PICKUP"},"balancePaymentMethod":{"enum":["CASH","CERTIFIED_FUNDS","COMPANY_CHECK","COMCHEK","TCH"],"type":"string","description":"The payment method with which the balance due payment will be paid. Required if `amount` is greater than 0. This list is not exhaustive and additional values may be added at any time.","nullable":true,"example":"CASH"}},"description":"Details of a dispatch balance.","nullable":true},"CancelDispatchRequest":{"type":"object","properties":{"dispatchId":{"type":"string","description":"The ID of the dispatch.","format":"uuid","example":"d159acc0-e89b-12d3-a456-426614174000"},"cancellationReasonId":{"type":"string","description":"The ID of the cancellation reason. This value can be retrieved using the 'Get Cancellation Reasons' endpoint. Required if caller is a carrier.","format":"uuid","example":"cac10000-e89b-12d3-a456-426614174000"},"notes":{"type":"string","description":"Additional notes regarding the cancellation.","nullable":true,"example":"Weather delay."},"postPickupCancelOverride":{"type":"boolean","description":"Indicates if a cancellation override after vehicle pick up is allowed.","default":false,"example":true}},"description":"Details of a dispatch cancellation.","nullable":true},"CancelReasonCollection":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/CancelReasonResponse"},"description":"A collection of dispatch cancel reasons.","nullable":true}},"description":"Details of dispatch cancel reasons."},"CancelReasonResponse":{"type":"object","properties":{"responsibleParty":{"$ref":"#/components/schemas/ResponsibleParty"},"id":{"type":"string","description":"The ID of the cancellation reason.","format":"uuid","example":"cac10000-e89b-12d3-a456-426614174000"},"name":{"type":"string","description":"The name of the cancellation reason.","example":"Carrier Unresponsive/Late"}},"description":"Details of cancel reasons."},"CarrierRequest":{"type":"object","properties":{"carrierId":{"type":"string","description":"The ID of the Central Dispatch customer chosen by the shipper to move cars in the dispatch. The carrier must belong to the Marketplace identified by the `marketplaceId` and have a tier group of `BROKER` or `CARRIER`.","format":"uuid","example":"0ca91a43-fbee-4c05-9a6c-aa5c63888f5c"}},"description":"Details of a carrier.","nullable":true},"CodRequest":{"type":"object","properties":{"amount":{"minimum":0,"type":"number","description":"The cash on delivery (COD) or cash on pick up (COP) amount due.","format":"double","example":200},"paymentMethod":{"enum":["CHECK","CASH_CERTIFIED_FUNDS"],"type":"string","description":"The method for the COD/COP payment. Required if `amount` is greater than 0. This list is not exhaustive and additional values may be added at any time.","nullable":true,"example":"CASH_CERTIFIED_FUNDS"},"paymentLocation":{"enum":["PICKUP","DELIVERY"],"type":"string","description":"The location that COD/COP payment is due. Required if `amount` is greater than 0. This list is not exhaustive and additional values may be added at any time.","nullable":true,"example":"PICKUP"}},"description":"Details of cash of delivery or cash on payment (COD/COP).","nullable":true},"ContactRequest":{"type":"object","properties":{"name":{"type":"string","description":"The name of the contact.","nullable":true,"example":"Mickey Smith"},"phone":{"type":"string","description":"The primary phone number of the contact.","nullable":true,"example":"949-555-0101"},"phone1":{"type":"string","description":"An additional phone number of the contact.","nullable":true,"example":"949-555-1323"},"phone2":{"type":"string","description":"An additional phone number of the contact.","nullable":true,"example":"949-555-2434"},"phone3":{"type":"string","description":"An additional phone number of the contact.","nullable":true,"example":"949-555-3545"},"cellPhone":{"type":"string","description":"The cell phone number of the contact.","nullable":true,"example":"949-555-1212"},"email":{"type":"string","description":"The email address of the contact. Must be a valid email address format.","nullable":true,"example":"mickey@snoogle.com"}},"description":"Details of a contact."},"CreateDispatchFromCanceledDispatchPriceRequest":{"type":"object","properties":{"total":{"minimum":0.01,"type":"number","description":"The total amount to be paid for completing the dispatch.","format":"double","example":500},"currency":{"type":"string","description":"The currency of `total`.","default":"USD","nullable":true,"example":"USD"},"cod":{"$ref":"#/components/schemas/CodRequest"},"balance":{"$ref":"#/components/schemas/BalanceRequest"}},"description":"Details of dispatch price."},"CreateDispatchFromCanceledDispatchRequest":{"type":"object","properties":{"marketplaceId":{"type":"integer","description":"The ID of the Central Dispatch Marketplace. There are three types of Marketplaces:\r\n\r\n- **Public**: The public Marketplace ID is `10000`.\r\n- **Test**: Test Marketplace IDs will be provided to you by Central Dispatch.\r\n- **Private**: Private Marketplace IDs will be provided to you by Central Dispatch, if necessary.","format":"int32","nullable":true,"example":10000},"externalId":{"type":"string","description":"An identifier managed by the user. Shippers can use this field to map a record (e.g. order, shipment, dispatch) in their local TMS to a Central Dispatch record. This value is displayed as the load number on the Central Dispatch website.","nullable":true,"example":"RND10 CHEV"},"externalOrderId":{"type":"string","description":"The identifier of the order that created the dispatch in the shipper system managed by the user. This value is not visible on the Central Dispatch website.","nullable":true,"example":"ORD-2023-0001"},"carrierId":{"type":"string","description":"The ID of the Central Dispatch customer chosen by the shipper to move cars in the dispatch. The carrier must belong to the Marketplace identified by the `marketplaceId` and have a tier group of `BROKER` or `CARRIER`.","format":"uuid","example":"0ca91a43-fbee-4c05-9a6c-aa5c63888f5c"},"shipperRequestedPickUpDate":{"type":"string","description":"The date the shipper would like the vehicle to be picked up, in UTC/ISO 8601 format.","format":"date-time","example":"2025-07-15T00:00:00.000Z"},"shipperRequestedDropOffDate":{"type":"string","description":"The date the shipper would like the vehicle to be picked up, in UTC/ISO 8601 format.","format":"date-time","example":"2025-08-15T00:00:00.000Z"},"price":{"$ref":"#/components/schemas/CreateDispatchFromCanceledDispatchPriceRequest"},"instructions":{"type":"string","description":"Displayed in Central Dispatch website/app as \"Load-Specific Terms\", these are provisions added to a contract that specify extra obligations, rights, or conditions beyond the standard terms.\r\n<b>Real Life Example</b>: Charging cables need to be picked up with vehicles and if left behind a $200 fee will be applied.\r\n<b>Rules</b>: This information will be visible only to the assigned carrier after the load is dispatched, and it will no longer be editable at that point.","nullable":true,"example":"Charging cables need to be picked up with vehicles and if left behind a $200 fee will be applied."},"preDispatchNotes":{"type":"string","description":"Provides general preparation instructions for shipments. This should not contain sensitive data as it is made available prior to acceptance of terms by a carrier.\r\n<b>Rules</b>: This information will always be visible to carriers, and it will no longer be editable once the load is dispatched.","nullable":true,"example":"In order to pick up the keys you will have to walk through a lot with a big dog that protects it, he's chained but will bark at you."},"transportationReleaseNotes":{"type":"string","description":"Displayed in Central Dispatch website/app as \"Transport Special Instructions\", these are specific guidelines or details for the safe and efficient pick up, delivery, or transportation of a load. This may contain sensitive data and is not available prior to acceptance of terms by a carrier.\r\n<b>Rules</b>: This information is visible only to the assigned carrier after the load is dispatched and remains editable at any time.","nullable":true,"example":"You will need special clearance to get in the lot. Call Jean at 303-999-1212."},"additionalInformation":{"type":"array","items":{"$ref":"#/components/schemas/AdditionalInformationRequest"},"description":"Additional information.","nullable":true}},"description":"Details of model for creating a dispatch request from an existing dispatch.","nullable":true},"CreateDispatchRequest":{"type":"object","properties":{"listingId":{"type":"string","description":"If creating from a listing, the ID of the listing that this dispatch is created from.","nullable":true,"example":"42220470"},"marketplaceId":{"type":"integer","description":"The ID of the Central Dispatch Marketplace. There are three types of Marketplaces:\r\n\r\n- **Public**: The public Marketplace ID is `10000`.\r\n- **Test**: Test Marketplace IDs will be provided to you by Central Dispatch.\r\n- **Private**: Private Marketplace IDs will be provided to you by Central Dispatch, if necessary.","format":"int32","example":10000},"carrier":{"$ref":"#/components/schemas/CarrierRequest"},"externalOrderId":{"type":"string","description":"The identifier of the order that created the dispatch in the shipper system managed by the user. This value is not visible on the Central Dispatch website.","nullable":true,"example":"ORD-2023-0001"},"externalId":{"type":"string","description":"An identifier managed by the user. Shippers can use this field to map a record (e.g. order, shipment, dispatch) in their local TMS to a Central Dispatch record. This value is displayed as the load number on the Central Dispatch website.","nullable":true,"example":"An identifier managed by the user. Shippers can use this field to map a record (e.g. order, shipment, dispatch) in their local TMS to a Central Dispatch record. This value is displayed as the load number on the Central Dispatch website."},"price":{"$ref":"#/components/schemas/PriceRequest"},"stops":{"type":"array","items":{"$ref":"#/components/schemas/StopRequest"},"description":"The collection of stops. There must be at least 2 unique entries in stops."},"vehicles":{"type":"array","items":{"$ref":"#/components/schemas/VehicleRequest"},"description":"The collection of vehicles."},"additionalInformation":{"type":"array","items":{"$ref":"#/components/schemas/AdditionalInformationRequest"},"description":"Additional information (name, value pairs).","nullable":true},"balanceAmount":{"minimum":0,"type":"number","description":"The balance amount that will be due after the COD/COP payment is applied.","format":"double","example":300},"balanceAmountCurrency":{"type":"string","description":"The currency of `balanceAmount`.","default":"USD","nullable":true,"example":"USD"},"balancePaymentMethod":{"enum":["CASH","CERTIFIED_FUNDS","COMPANY_CHECK","COMCHEK","TCH"],"type":"string","description":"The payment method with which the balance due payment will be paid. Required if `balanceAmount` is greater than 0. This list is not exhaustive and additional values may be added at any time.","nullable":true,"example":"CASH"},"balancePaymentTermsBeginOn":{"enum":["PICKUP","DELIVERY","RECEIVING_SIGNED_BOL"],"type":"string","description":"The terms for beginning balance payment. Required if `balanceAmount` is greater than 0. This list is not exhaustive and additional values may be added at any time.","nullable":true,"example":"PICKUP"},"balancePaymentTime":{"enum":["IMMEDIATELY","TWO_BUSINESS_DAYS_QUICK_PAY","FIVE_BUSINESS_DAYS","TEN_BUSINESS_DAYS","FIFTEEN_BUSINESS_DAYS","THIRTY_BUSINESS_DAYS"],"type":"string","description":"The time frame when the balance payment is due. Required if `balanceAmount` is greater than 0. This list is not exhaustive and additional values may be added at any time.","nullable":true,"example":"IMMEDIATELY"},"codAmount":{"minimum":0,"type":"number","description":"The cash on delivery (COD) or cash on pick up (COP) amount due.","format":"double","example":200},"codAmountCurrency":{"type":"string","description":"The currency of `codAmount`.","default":"USD","nullable":true,"example":"USD"},"codPaymentLocation":{"enum":["PICKUP","DELIVERY"],"type":"string","description":"The location that COD/COP payment is due. Required if `codAmount` is greater than 0. This list is not exhaustive and additional values may be added at any time.","nullable":true,"example":"PICKUP"},"codPaymentMethod":{"enum":["CHECK","CASH_CERTIFIED_FUNDS"],"type":"string","description":"The method for the COD/COP payment. Required if `codAmount` is greater than 0. This list is not exhaustive and additional values may be added at any time.","nullable":true,"example":"CASH_CERTIFIED_FUNDS"},"instructions":{"type":"string","description":"Displayed in Central Dispatch website/app as \"Load-Specific Terms\", these are provisions added to a contract that specify extra obligations, rights, or conditions beyond the standard terms.\r\n<b>Real Life Example</b>: Charging cables need to be picked up with vehicles and if left behind a $200 fee will be applied.\r\n<b>Rules</b>: This information will be visible only to the assigned carrier after the load is dispatched, and it will no longer be editable at that point.","nullable":true,"example":"Charging cables need to be picked up with vehicles and if left behind a $200 fee will be applied."},"preDispatchNotes":{"maxLength":4000,"type":"string","description":"Provides general preparation instructions for shipments. This should not contain sensitive data as it is made available prior to acceptance of terms by a carrier.\r\n<b>Rules</b>: This information will always be visible to carriers, and it will no longer be editable once the load is dispatched.","nullable":true,"example":"In order to pick up the keys you will have to walk through a lot with a big dog that protects it, he's chained but will bark at you."},"transportationReleaseNotes":{"maxLength":4000,"type":"string","description":"Displayed in Central Dispatch website/app as \"Transport Special Instructions\", these are specific guidelines or details for the safe and efficient pick up, delivery, or transportation of a load. This may contain sensitive data and is not available prior to acceptance of terms by a carrier.\r\n<b>Rules</b>: This information is visible only to the assigned carrier after the load is dispatched and remains editable at any time.","nullable":true,"example":"You will need special clearance to get in the lot. Call Jean at 303-999-1212."},"requiresDriverVerificationAtPickUp":{"type":"boolean","description":"Indicates if the driver verification process is required. A driver must be assigned to the load before delivery. Information will be emailed to the contact physically present at the pickup location for use in verifying the driver's identification. The Central Dispatch Mobile App must be used to perform the pickup and delivery inspection. (Only currently applicable to select private Marketplaces).","default":false,"nullable":true,"example":true}},"description":"Details of a dispatch.","nullable":true},"CreateNoteRequest":{"type":"object","properties":{"dispatchId":{"type":"string","description":"The ID of the dispatch.","format":"uuid","example":"d159acc0-e89b-12d3-a456-426614174000"},"message":{"type":"string","description":"The content of the note.","example":"Carrier called - pickup rescheduled for tomorrow."},"visibilityType":{"type":"string","description":"The visibility type of the note. Allowed values: `INTERNAL`. Defaults to `INTERNAL` if not provided.","nullable":true,"example":"INTERNAL"}},"description":"Details of a note.","nullable":true},"DateChangeReasonCollection":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/DateChangeReasonResponse"},"description":"A collection of items.","nullable":true}},"description":"Details of a collection of items with ID and Name pairs."},"DateChangeReasonResponse":{"type":"object","properties":{"id":{"type":"string","description":"The ID of the date change reason.","format":"uuid","example":"da1e0000-e89b-12d3-a456-426614174000"},"name":{"type":"string","description":"The name of the date change reason.","nullable":true,"example":"Mechanical issues with carrier's truck"}},"description":"Details of the date change reason."},"DateSearchRequest":{"type":"object","properties":{"op":{"type":"string","description":"The operation type for the date comparison. Values: `RANGE`, `EQ`, `NEQ`.","example":"RANGE"},"startDateTime":{"type":"string","description":"The start date and time, in UTC/ISO 8601 format.","format":"date-time"},"endDateTime":{"type":"string","description":"The end date and time, in UTC/ISO 8601 format. Required for `RANGE` and must be equal or greater than `startDateTime`.","format":"date-time"}},"description":"Search dispatch date request.","nullable":true},"DispatchCollection":{"type":"object","properties":{"href":{"type":"string","description":"The URL used to query the current collection of the resource.","example":"https://fulfillment-api.centraldispatch.com/api/fulfillments/id/d159acc0-e89b-12d3-a456-426614174000"},"count":{"type":"integer","description":"The total count of resources in the collection.","format":"int32","example":23},"items":{"type":"array","items":{"$ref":"#/components/schemas/DispatchResponse"},"description":"A collection of records."}},"description":"A collection of dispatches."},"DispatchIdsSearchRequest":{"type":"object","properties":{"op":{"type":"string","description":"The operator to use. Values: `EQ`, `NEQ`.","example":"EQ"},"values":{"type":"array","items":{"type":"string"},"description":"A collection of dispatch IDs.","example":["d159acc0-e89b-12d3-a456-426614174000","157a16f0-503d-4256-ba60-a4876e8eb9bb"]}},"description":"Search dispatch IDs information.","nullable":true},"DispatchResponse":{"type":"object","properties":{"vehicles":{"type":"array","items":{"$ref":"#/components/schemas/VehicleResponse"},"description":"A collection of vehicles."},"stops":{"type":"array","items":{"$ref":"#/components/schemas/StopResponse"},"description":"A collection of stops."},"dispatchStatusChanges":{"type":"array","items":{"$ref":"#/components/schemas/StatusChangeResponse"},"description":"A collection of dispatch status changes.","nullable":true},"additionalInformation":{"type":"array","items":{"$ref":"#/components/schemas/AdditionalInformationResponse"},"description":"Additional information (name, value pairs).","nullable":true},"dispatchDrivers":{"$ref":"#/components/schemas/DriversResponse"},"createdDateUtc":{"type":"string","description":"The date and time the dispatch was created, in UTC/ISO 8601 format.","format":"date-time","example":"2024-08-01T00:00:00Z"},"lastUpdatedDateUtc":{"type":"string","description":"The date and time the dispatch was last updated, in UTC/ISO 8601 format.","format":"date-time","nullable":true,"example":"2024-10-15T00:00:00Z"},"lastUpdatedBy":{"type":"string","description":"The Central Dispatch user ID of the user who last updated the dispatch.","format":"uuid","nullable":true,"example":"d71b5750-e89b-12d3-a456-426614174000"},"dispatchId":{"type":"string","description":"The ID of the dispatch.","format":"uuid","example":"d159acc0-e89b-12d3-a456-426614174000"},"priceTotal":{"type":"number","description":"The total amount to be paid for completing the dispatch.","format":"double","example":500},"priceTotalCurrency":{"type":"string","description":"The currency of `priceTotal`.","example":"USD"},"href":{"type":"string","description":"The fully qualified URL of the dispatch.","example":"https://fulfillment-api.centraldispatch.com/api/fulfillments/id/d159acc0-e89b-12d3-a456-426614174000"},"shipmentDescriptionId":{"type":"string","description":"The ID of the shipment description.","format":"uuid","example":"519e0000-e89b-12d3-a456-426614174000"},"recordVersion":{"type":"integer","description":"The version of the record which should be used for the `If-Match` header on updates.","format":"int32","example":1234567},"externalId":{"type":"string","description":"An identifier managed by the user. Shippers can use this field to map a record (e.g. order, shipment, dispatch) in their local TMS to a Central Dispatch record. This value is displayed as the load number on the Central Dispatch website.","nullable":true,"example":"RND10 CHEV"},"externalCompanyId":{"type":"string","description":"The ID of the Central Dispatch customer who is shipping the vehicle.","format":"uuid","example":"e8560000-e89b-12d3-a456-426614174000"},"carrierId":{"type":"string","description":"The ID of the Central Dispatch customer chosen by the shipper to move cars in the dispatch.","format":"uuid","example":"0ca91a43-fbee-4c05-9a6c-aa5c63888f5c"},"listingId":{"type":"string","description":"The ID of the listing from which the dispatch was created.","nullable":true,"example":"42220470"},"loadNumber":{"type":"integer","description":"The load number.","format":"int32","example":987123},"marketplaceId":{"type":"integer","description":"The ID of the Central Dispatch Marketplace. There are three types of Marketplaces:\r\n\r\n- **Public**: The public Marketplace ID is `10000`.\r\n- **Test**: Test Marketplace IDs will be provided to you by Central Dispatch.\r\n- **Private**: Private Marketplace IDs will be provided to you by Central Dispatch, if necessary.","format":"int32","example":10000},"shipperOrderId":{"type":"string","description":"The ID of the shipper order.","nullable":true,"example":"123-abc 900"},"instructions":{"type":"string","description":"Displayed in Central Dispatch website/app as \"Load-Specific Terms\", these are provisions added to a contract that specify extra obligations, rights, or conditions beyond the standard terms.\r\n<b>Real Life Example</b>: Charging cables need to be picked up with vehicles and if left behind a $200 fee will be applied.\r\n<b>Rules</b>: This information will be visible only to the assigned carrier after the load is dispatched, and it will no longer be editable at that point.","nullable":true,"example":"Charging cables need to be picked up with vehicles and if left behind a $200 fee will be applied."},"codAmount":{"type":"number","description":"The cash on delivery (COD) or cash on pick up (COP) amount due.","format":"double","example":200},"codAmountCurrency":{"type":"string","description":"The currency of `codAmount`.","example":"USD"},"codPaymentMethod":{"enum":["CHECK","CASH_CERTIFIED_FUNDS"],"type":"string","description":"The method for the COD/COP payment. This list is not exhaustive and additional values may be added at any time.","nullable":true,"example":"CASH_CERTIFIED_FUNDS"},"codPaymentLocation":{"enum":["PICKUP","DELIVERY"],"type":"string","description":"The location that COD/COP payment is due. This list is not exhaustive and additional values may be added at any time.","nullable":true,"example":"PICKUP"},"balanceAmount":{"type":"number","description":"The balance amount that will be due after the COD/COP payment is applied.","format":"double","example":300},"balanceAmountCurrency":{"type":"string","description":"The currency of `balanceAmount`.","nullable":true,"example":"USD"},"balancePaymentTime":{"enum":["IMMEDIATELY","TWO_BUSINESS_DAYS_QUICK_PAY","FIVE_BUSINESS_DAYS","TEN_BUSINESS_DAYS","FIFTEEN_BUSINESS_DAYS","THIRTY_BUSINESS_DAYS"],"type":"string","description":"The time frame when the balance payment is due. This list is not exhaustive and additional values may be added at any time.","nullable":true,"example":"IMMEDIATELY"},"balancePaymentTermsBeginOn":{"enum":["PICKUP","DELIVERY","RECEIVING_SIGNED_BOL"],"type":"string","description":"The terms for beginning balance payment. This list is not exhaustive and additional values may be added at any time.","nullable":true,"example":"PICKUP"},"balancePaymentMethod":{"enum":["CASH","CERTIFIED_FUNDS","COMPANY_CHECK","COMCHEK","TCH"],"type":"string","description":"The payment method with which the balance due payment will be paid. This list is not exhaustive and additional values may be added at any time.","nullable":true,"example":"CASH"},"status":{"type":"string","description":"The status of the dispatch.","example":"PENDING_PICKUP"},"createdBy":{"type":"string","description":"The Central Dispatch user ID of the user who created the dispatch.","format":"uuid","example":"157a16f0-503d-4256-ba60-a4876e8eb9bb"},"preDispatchNotes":{"maxLength":4000,"type":"string","description":"Provides general preparation instructions for shipments. This should not contain sensitive data as it is made available prior to acceptance of terms by a carrier.\r\n<b>Rules</b>: This information will always be visible to carriers, and it will no longer be editable once the load is dispatched.","nullable":true,"example":"In order to pick up the keys you will have to walk through a lot with a big dog that protects it, he's chained but will bark at you."},"transportationReleaseNotes":{"maxLength":4000,"type":"string","description":"Displayed in Central Dispatch website/app as \"Transport Special Instructions\", these are specific guidelines or details for the safe and efficient pick up, delivery, or transportation of a load. This may contain sensitive data and is not available prior to acceptance of terms by a carrier.\r\n<b>Rules</b>: This information is visible only to the assigned carrier after the load is dispatched and remains editable at any time.","nullable":true,"example":"You will need special clearance to get in the lot. Call Jean at 303-999-1212."},"dispatchSource":{"type":"string","description":"The source of the dispatch. Values: `API`, `Web`, `ListingWeb`.","nullable":true,"example":"API"},"contractTerms":{"type":"string","description":"Terms of the legal contract between the shipper and the carrier.","nullable":true,"example":"Nulla poena sine lege."},"isCanceledBeforeAccept":{"type":"boolean","description":"Indicates that the dispatch was canceled before it was accepted.","example":true},"requiresDriverVerificationAtPickup":{"type":"boolean","description":"Indicates if the driver verification process is required. A driver must be assigned to the load before delivery. Information will be emailed to the contact physically present at the pickup location for use in verifying the driver's identification. The Central Dispatch Mobile App must be used to perform the pickup and delivery inspection. (Only currently applicable to select private Marketplaces).","example":true},"paymentStatus":{"type":"string","description":"The status of the payment of the dispatch. Values: `UNPAID`, `INVOICED`, `PARTIALLY_PAID`, `FULLY_PAID`.","nullable":true,"example":"PARTIALLY_PAID"},"notes":{"type":"array","items":{"$ref":"#/components/schemas/NoteResponse"},"description":"A collection of internal load notes for the dispatch. Only included when `includeNotes` is `true`.","nullable":true}},"description":"Details of a dispatch."},"DispatchSearchRequest":{"type":"object","properties":{"searchFields":{"$ref":"#/components/schemas/SearchRequest"},"offset":{"type":"integer","description":"Determines which record in the collection will be the first one displayed. This value is 1-based, meaning the count starts at 1. Please put this and `limit` at the end of the request.","format":"int32","example":10},"limit":{"type":"integer","description":"The maximum number of items to be returned in the response. Please put this and `offset` at the end of the request.","format":"int32","default":50,"nullable":true,"example":1},"sortFields":{"type":"array","items":{"$ref":"#/components/schemas/SortRequest"},"description":"The fields to sort by.","nullable":true}},"description":"Details of the dispatch search.","nullable":true},"DriverPatchRequest":{"type":"object","properties":{"driverId":{"type":"string","description":"The Central Dispatch user ID of the driver.","format":"uuid","example":"d71b5750-e89b-12d3-a456-426614174000"}},"description":"Details of driver patch operation."},"DriverSearchRequest":{"type":"object","properties":{"op":{"type":"string","description":"The operation type for the driver IDs. Values: `EQ`, `NEQ`.","example":"EQ"},"values":{"type":"array","items":{"type":"string"},"description":"A collection of driver ID values.","example":["d71b5750-e89b-12d3-a456-426614174000","3ca6e1c2-98fb-4b4e-bfd8-ffaec58fb347"]}},"description":"Driver IDs search.","nullable":true},"DriversResponse":{"type":"object","properties":{"users":{"type":"array","items":{"type":"string","format":"uuid"},"description":"A collection of user IDs representing the drivers.","nullable":true,"example":["ddd151ee-b1d3-4cec-8eb5-4a21bddd900b","157a16f0-503d-4256-ba60-a4876e8eb9bb"]}},"description":"Details of the drivers.","nullable":true},"ErrorAlt":{"type":"object","properties":{"errorID":{"type":"string","description":"The ID of the error.","nullable":true,"example":"157a16f0-503d-4256-ba60-a4876e8eb9bb"},"code":{"type":"string","description":"The code used for the issue.","nullable":true,"example":"resource.issue_type"},"description":{"type":"string","description":"A detailed message.","nullable":true,"example":"The issue happened because something is wrong."},"properties":{"type":"array","items":{"$ref":"#/components/schemas/ErrorAltProperty"},"description":"Properties related to the issue.","nullable":true}},"description":"Details of an error or issue."},"ErrorAltProperty":{"type":"object","properties":{"property":{"type":"string","description":"The name of the property.","nullable":true,"example":"person"},"value":{"type":"string","description":"The value of the property.","nullable":true,"example":"J0hn D03"}},"description":"Details of an error's property."},"ErrorsAlt":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorAlt"},"description":"A collection of errors.","nullable":true}},"description":"An error occurred, and the request could not be completed."},"EventType":{"enum":["PICKED_UP","IN_TRANSIT","DELIVERED"],"description":"The event type. This list is not exhaustive and additional values may be added at any time.","example":"IN_TRANSIT"},"ListingIdSearchRequest":{"type":"object","properties":{"op":{"type":"string","description":"The operation type for the listing IDs. Values: `EQ`, `NEQ`, `RANGE`.","example":"EQ"},"values":{"type":"array","items":{"type":"string"},"description":"A collection of listing ID values.","example":["42220470","157a16f0-503d-4256-ba60-a4876e8eb9bb"]}},"description":"Search listing IDs information.","nullable":true},"NoteCollection":{"type":"object","properties":{"href":{"type":"string","description":"The URL used to query the current collection of the resource.","example":"https://fulfillment-api.centraldispatch.com/api/fulfillments/id/d159acc0-e89b-12d3-a456-426614174000/notes"},"count":{"type":"integer","description":"The total count of resources in the collection.","format":"int32","example":23},"items":{"type":"array","items":{"$ref":"#/components/schemas/NoteResponse"},"description":"A collection of records."}},"description":"A collection of notes."},"NoteResponse":{"type":"object","properties":{"noteId":{"type":"string","description":"The ID of the note.","format":"uuid","example":"3fde6068-5fa2-4ae4-af16-06d65fc87dc9"},"dispatchId":{"type":"string","description":"The ID of the dispatch.","format":"uuid","example":"d159acc0-e89b-12d3-a456-426614174000"},"customerId":{"type":"string","description":"The Central Dispatch customer ID of the customer.","format":"uuid","example":"d5c62b14-cbd1-11ee-9a0e-0242ac110002"},"profileType":{"type":"string","description":"The profile type of the note author.","nullable":true,"example":"CARRIER"},"loadType":{"type":"string","description":"The load type associated with the note.","nullable":true,"example":"STANDARD"},"displayName":{"type":"string","description":"The display name of the note author.","nullable":true,"example":"Mickey Smith"},"message":{"type":"string","description":"The content of the note.","example":"Carrier called - pickup rescheduled for tomorrow."},"createdDateUtc":{"type":"string","description":"The creation date and time of the item, in UTC/ISO 8601 format.","format":"date-time","example":"2024-10-31T00:00:00Z"},"createdBy":{"type":"string","description":"The Central Dispatch user ID of the user who created the note. Returns the user ID if the note was created by an authenticated end user, or the client ID if created via a TMS or client-credentials flow.","format":"uuid","nullable":true,"example":"d71b5750-e89b-12d3-a456-426614174000"},"visibilityType":{"type":"string","description":"The visibility type of the note. Allowed values: `INTERNAL`. Defaults to `INTERNAL` if not provided.","nullable":true,"example":"INTERNAL"},"noteSource":{"type":"string","description":"The source of the note.","nullable":true,"example":"WEB"}},"description":"Details of an internal load note."},"PriceRequest":{"type":"object","properties":{"totalPrice":{"minimum":0.01,"type":"number","description":"The total amount to be paid for completing the dispatch.","format":"double","example":500},"priceUnits":{"type":"string","description":"The currency of `totalPrice`.","default":"USD","nullable":true,"example":"USD"}},"description":"Details of the dispatch price."},"RespondToDispatchRequest":{"type":"object","properties":{"accept":{"type":"boolean","description":"Indicates whether the dispatch should be accepted or declined.","example":true},"inspectionAcknowledged":{"type":"boolean","description":"Indicates whether the require inspection requirement was acknoowledged.","default":false,"example":true},"carrierEstimatedPickupDate":{"type":"string","description":"The date the carrier estimates the vehicle will be picked up, in UTC/ISO 8601 format. Only the date portion of the value passed will be saved.","format":"date-time","nullable":true,"example":"2025-07-15T00:00:00.000Z"},"carrierEstimatedDeliveryDate":{"type":"string","description":"The type of delivery date. Only the date portion of the value passed will be saved.","format":"date-time","nullable":true,"example":"2025-08-15T00:00:00.000Z"}},"description":"Details of the respond request.","nullable":true},"ResponsibleParty":{"enum":["CARRIER","SHIPPER","ALL"],"description":"The party responsible for the cancellation. This list is not exhaustive and additional values may be added at any time.","example":"SHIPPER"},"SearchDispatchResult":{"type":"object","properties":{"items":{"type":"array","items":{"type":"string"},"description":"A collection of dispatch IDs.","nullable":true,"example":["d159acc0-e89b-12d3-a456-426614174000"]},"count":{"type":"integer","description":"The maximum number of items to be returned in the response.","format":"int32","example":1},"totalRecords":{"type":"integer","description":"The total count of resources in the collection.","format":"int64","example":100}},"description":"Details of a dispatch search."},"SearchRequest":{"type":"object","properties":{"paymentStatus":{"type":"array","items":{"type":"string"},"description":"A collection of: The status of the payment of the dispatch. Values: `UNPAID`, `INVOICED`, `PARTIALLY_PAID`, `FULLY_PAID`.","nullable":true},"dispatchStatus":{"type":"array","items":{"type":"string"},"description":"A collection of: Dispatch statuses e.g. `NEW`, `PENDING_DELIVERY`, `DELIVERED`, `PAID`, `REJECTED`, `CANCELED`.","nullable":true},"pickUpCity":{"type":"array","items":{"type":"string"},"description":"A collection of: The pick up city.","nullable":true},"pickUpState":{"type":"array","items":{"type":"string"},"description":"A collection of: The pick up state.","nullable":true},"pickUpZip":{"type":"array","items":{"type":"string"},"description":"A collection of: The pick up ZIP code. Must be a valid United States ZIP code or Canadian postal code.","nullable":true},"deliveryCity":{"type":"array","items":{"type":"string"},"description":"A collection of: The delivery city.","nullable":true},"deliveryState":{"type":"array","items":{"type":"string"},"description":"A collection of: The delivery state.","nullable":true},"deliveryZip":{"type":"array","items":{"type":"string"},"description":"A collection of: The delivery ZIP code.","nullable":true},"externalId":{"type":"array","items":{"type":"string"},"description":"A collection of: An identifier managed by the user. Shippers can use this field to map a record (e.g. order, shipment, dispatch) in their local TMS to a Central Dispatch record. This value is displayed as the load number on the Central Dispatch website.","nullable":true},"dispatchID":{"type":"string","description":"A collection of: The ID of the dispatch.","nullable":true},"vin":{"type":"array","items":{"type":"string"},"description":"A collection of: The vehicle identification number (VIN).","nullable":true},"driverId":{"type":"array","items":{"type":"string"},"description":"A collection of: The Central Dispatch user ID of the driver.","nullable":true},"shipperCompanyName":{"type":"array","items":{"type":"string"},"description":"A collection of: The shipper's company name.","nullable":true},"shipperOrderId":{"type":"array","items":{"type":"string"},"description":"A collection of: The ID of the shipper order.","nullable":true},"marketPlaceIds":{"type":"array","items":{"type":"string"},"description":"A collection of: The ID of the Central Dispatch Marketplace. There are three types of Marketplaces:\r\n\r\n- **Public**: The public Marketplace ID is `10000`.\r\n- **Test**: Test Marketplace IDs will be provided to you by Central Dispatch.\r\n- **Private**: Private Marketplace IDs will be provided to you by Central Dispatch, if necessary.","nullable":true},"externalCompanyIds":{"type":"array","items":{"type":"string"},"description":"A collection of: The ID of the Central Dispatch customer who is shipping the vehicle.","nullable":true},"externalCompanyNames":{"type":"array","items":{"type":"string"},"description":"A collection of: The external company name.","nullable":true},"externalVehicleIds":{"type":"array","items":{"type":"string"},"description":"A collection of: A vehicle identifier managed by the user. Shippers can use this field to map a vehicle record in their local TMS to a Central Dispatch record.","nullable":true},"loadId":{"type":"array","items":{"type":"string"},"description":"A collection of: The load number.","nullable":true},"carrierName":{"type":"array","items":{"type":"string"},"description":"A collection of: The carrier name.","nullable":true},"carrierId":{"type":"array","items":{"type":"string"},"description":"A collection of: The ID of the Central Dispatch customer chosen by the shipper to move cars in the dispatch.","nullable":true},"actualPickUpDateTime":{"type":"string","description":"The actual pick up date and time, in UTC/ISO 8601 format.","format":"date-time","nullable":true},"actualDropOffDateTime":{"type":"string","description":"The actual delivery date and time, in UTC/ISO 8601 format.","format":"date-time","nullable":true},"estimatedPickUpDateTime":{"type":"string","description":"The estimated pick up date and time, in UTC/ISO 8601 format.","format":"date-time","nullable":true},"estimatedDropOffDateTime":{"type":"string","description":"The estimated delivery date and time, in UTC/ISO 8601 format.","format":"date-time","nullable":true},"dispatchDate":{"$ref":"#/components/schemas/DateSearchRequest"},"listingIds":{"$ref":"#/components/schemas/ListingIdSearchRequest"},"dispatchIds":{"$ref":"#/components/schemas/DispatchIdsSearchRequest"},"driverIds":{"$ref":"#/components/schemas/DriverSearchRequest"},"isCarrierArchived":{"type":"boolean","description":"Indicates if the carrier is archived.","nullable":true},"isShipperArchived":{"type":"boolean","description":"Indicates if the shipper is archived.","nullable":true}},"description":"Details of search fields."},"SortRequest":{"type":"object","properties":{"name":{"type":"string","description":"The name of the field to sort by.","nullable":true,"example":"actualPickUpDateTime"},"direction":{"type":"string","description":"The direction of the sort. Values: `ASCENDING`, `DESCENDING`.","nullable":true,"example":"ASCENDING"}},"description":"Details of search sort."},"StatusChangeResponse":{"type":"object","properties":{"submittedByUserName":{"type":"string","description":"The Central Dispatch username of the person who submitted the status change.","nullable":true,"example":"d71b5750-e89b-12d3-a456-426614174000"},"dispatchStatusChangeId":{"type":"string","description":"The ID of the dispatch status change.","format":"uuid","example":"157a16f0-503d-4256-ba60-a4876e8eb9bb"},"dateUtc":{"type":"string","description":"The date and time of the status change, in UTC/ISO 8601 format.","format":"date-time","example":"2024-10-31T00:00:00Z"},"status":{"type":"string","description":"The status of the dispatch.","nullable":true,"example":"PENDING_PICKUP"},"cancellationReasonId":{"type":"string","description":"The ID of the cancellation reason.","nullable":true,"example":"cac10000-e89b-12d3-a456-426614174000"},"notes":{"type":"string","description":"Additional notes regarding the status change. **Deprecated**: Use `estimatedDateChangeNotes` instead.","nullable":true,"example":"Weather delay."},"estimatedDateChangeNotes":{"type":"string","description":"Additional notes regarding the estimated date change.","nullable":true,"example":"Weather delay."},"submittedParty":{"type":"string","description":"The party that submitted the status change e.g. SHIPPER or CARRIER.","nullable":true,"example":"SHIPPER"},"submittedBy":{"type":"string","description":"The Central Dispatch user ID of the user who submitted the status change.","format":"uuid","nullable":true,"example":"3ca6e1c2-98fb-4b4e-bfd8-ffaec58fb347"}},"description":"Details of a status change."},"StopRequest":{"type":"object","properties":{"stopNumber":{"type":"integer","description":"The sequential number of the stop along the route e.g. 1 is the pick up stop and 2 is the delivery stop.","format":"int32","example":1},"stopType":{"enum":["OTHER","AIRPORT_RENTAL_CENTER","AUCTION","AUCTION_SATELLITE_LOT","COMMERCIAL_BUSINESS","CORPORATE_OFFICE_PLANT","CROSS_DOCK_OR_SATELLITE_STAGING_LOT","DEALER","IMPOUND","MARSHALLING_YARD","MILITARY_BASE","MOBILE_AUCTION","PORT","RAIL_YARD","RECON_FACILITY","RENTAL_CAR_RETAIL_SITE","REPO","RESIDENCE","SERVICE_CENTER","TERMINAL"],"type":"string","description":"The facility type of the stop. This list is not exhaustive and additional values may be added at any time.","example":"DEALER"},"name":{"type":"string","description":"The name of the stop.","nullable":true,"example":"ABC Cars lot"},"address":{"$ref":"#/components/schemas/AddressRequest"},"contact":{"$ref":"#/components/schemas/ContactRequest"},"externalLocationId":{"type":"string","description":"A location identifier managed by the user.","nullable":true,"example":"Loc123"},"isTWIC":{"type":"boolean","description":"Indicates whether the stop requires driver to have a Transportation Worker Identification Credential (TWIC). A TWIC is a credential required by the Maritime Transportation Security Act for carriers to access some locations. If you are not sure if a TWIC is needed, please contact the location.","default":false,"example":true},"siteId":{"type":"string","description":"The ID of the site.","nullable":true,"example":"ABC"},"latitude":{"type":"string","description":"The latitude of the location.","nullable":true,"example":"33.81228788622535"},"longitude":{"type":"string","description":"The longitude of the location.","nullable":true,"example":"-117.91836265987132"},"buyerNumber":{"type":"string","description":"The buyer reference number.","nullable":true,"example":"12345"}},"description":"Details of a stop."},"StopResponse":{"type":"object","properties":{"shipmentDescriptionId":{"type":"string","description":"The ID of the shipment description.","format":"uuid","nulla
[...]
